#
# spec file for package python-swagger-spec-validator
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define skip_python2 1
Name:           python-swagger-spec-validator
Version:        3.0.4
Release:        1.2
Summary:        Validation of Swagger specifications
License:        Apache-2.0
Group:          Development/Libraries/Python
URL:            https://github.com/Yelp/swagger_spec_validator
Source:         https://github.com/Yelp/swagger_spec_validator/archive/refs/tags/v%{version}.tar.gz#/swagger-spec-validator-%{version}.tar.gz
BuildRequires:  %{python_module importlib-resources}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Requires:       python-jsonschema
Requires:       python-typing_extensions
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module jsonschema}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module typing_extensions}
# /SECTION
%python_subpackages

%description
Swagger Spec Validator is a Python library that validates Swagger Specs against
the Swagger 1.2 or Swagger 2.0 specification. The validator aims to check for
full compliance with the Specification.

%prep
%autosetup -p1 -n swagger_spec_validator-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/swagger_spec_validator-%{version}*-info
%{python_sitelib}/swagger_spec_validator

%changelog
* Wed Nov  6 2024 Matej Cepl <mcepl@cepl.eu>
- Update to 3.0.4:
  - set long_description metadata
* Fri Nov  4 2022 John Vandenberg <jayvdb@gmail.com>
- Update to v3.0.3
- from v3.0.2
  * Fix location of py.typed file
- from v3.0.1
  * Add py.typed marker
  * Enforce python_requires>=3.7
- from v3.0.0
  * Add type annotations
  * Drop py2 and py36 support
  * Drop simplejson
* Sun Sep  4 2022 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Update to v2.7.6
  * unpin jsonschema
- from v2.7.5
  * pin jsonschema
* Thu Oct 28 2021 Lars Vogdt <lars@linux-schulserver.de>
- update to 2.7.4
  + Use iteritems from six (#146)
  + Make check for unique operation ids global instead of per tag (#145)
  + Drop python3.5
  + Fixed build breakage due to zipp and python3.5 (#143)
* Tue Mar 23 2021 Marcus Rueckert <mrueckert@suse.de>
- initial package
